import { ERC7529ContractError } from "@snickerdoodlelabs/objects";
import { ethers } from "ethers";
import { IEthersContractError } from "../implementations/BlockchainErrorMapper.js";
import { ERC7529Contract } from "../implementations/ERC7529Contract.js";
import { IERC7529Contract } from "../interfaces/index.js";
export declare class ERC7529ContractProxy extends ERC7529Contract<ERC7529ContractError> implements IERC7529Contract<ERC7529ContractError> {
    protected generateContractSpecificError(msg: string, e: IEthersContractError, transaction: ethers.Transaction | null): ERC7529ContractError;
}
//# sourceMappingURL=ERC7529ContractProxy.d.ts.map