import { BlockchainCommonErrors } from "@snickerdoodlelabs/objects";
import { ethers } from "ethers";
import { ResultAsync } from "neverthrow";
import { Wallet } from "zksync-web3";
import { ContractOverrides } from "../interfaces/objects/index.js";
export declare class GasUtils {
    static getGasFee(providerOrSigner: ethers.providers.Provider | ethers.providers.JsonRpcSigner | ethers.Wallet | Wallet): ResultAsync<ContractOverrides, BlockchainCommonErrors>;
    static getGasPrice(providerOrSigner: ethers.providers.Provider | ethers.providers.JsonRpcSigner | ethers.Wallet | Wallet): ResultAsync<ContractOverrides, BlockchainCommonErrors>;
}
//# sourceMappingURL=GasUtils.d.ts.map