import { EVMAccountAddress, EVMContractAddress, HexString } from "@snickerdoodlelabs/objects";
import { BigNumber } from "ethers";
export interface IMinimalForwarderRequest extends Record<string, unknown> {
    to: EVMContractAddress;
    from: EVMAccountAddress;
    value: BigNumber;
    gas: BigNumber;
    nonce: BigNumber;
    data: HexString;
}
//# sourceMappingURL=IMinimalForwarderRequest.d.ts.map